Can I use 2.3.9 saves in the 3.1 Beta Series?

Warzone 2.3.x series. (Unsupported!)
If you issue is with 3.1.x, then DON'T post here, instead use technical support

Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby RedShocktrooper » 26 Apr 2012, 17:44

Question in title. All I wanna know, a simple yes/no would be wonderful.
RedShocktrooper
Trained
Trained
 
Posts: 50
Joined: 08 Mar 2012, 03:42

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby NoQ » 26 Apr 2012, 17:55

No. There were a lot of changes. Even saves from different 3.1 betas are often incompatible.
User avatar
NoQ
Special
Special
 
Posts: 6066
Joined: 24 Dec 2009, 11:35
Location: /var/zone

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby RedShocktrooper » 26 Apr 2012, 19:54

NoQ wrote:No. There were a lot of changes. Even saves from different 3.1 betas are often incompatible.


Alright, thanks. Guess I'll be sticking with 2.3.9 until I beat the campaign.
RedShocktrooper
Trained
Trained
 
Posts: 50
Joined: 08 Mar 2012, 03:42

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby Jorzi » 22 May 2012, 09:06

Yeah, although you can of course have multiple versions installed simultaneously i.e. you can use 3.1 for multiplayer and 2.3.9 for campaign.
ImageImage
-insert deep philosophical statement here-
Jorzi
Regular
Regular
 
Posts: 1944
Joined: 11 Apr 2010, 00:14

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby Lord Apocalypse » 25 May 2012, 08:45

I have both installed, play on both for cam and sk just to see how things have changed.

If you decide to have both, install one under Warzone 2100 2.3.9 and the other as Warzone 2100 3.1 (if under windows) not sure what to tell ya if under linux...
Lord Apocalypse
Regular
Regular
 
Posts: 678
Joined: 29 Jul 2009, 18:01

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby Emdek » 25 May 2012, 09:52

For Linux specify installation path as argument for configure script.
Code: Select all
./configure --prefix=/some/path/warzone
Nadszedł już czas, najwyższy czas, nienawiść zniszczyć w sobie.
The time has come, the high time, to destroy hatred in oneself.


Beware! Mad Qt Evangelist.
User avatar
Emdek
Regular
Regular
 
Posts: 1329
Joined: 24 Jan 2010, 13:14
Location: Poland

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby NoQ » 25 May 2012, 10:19

Or just don't install, run from the directory where you built it.
User avatar
NoQ
Special
Special
 
Posts: 6066
Joined: 24 Dec 2009, 11:35
Location: /var/zone

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby Emdek » 25 May 2012, 10:29

NoQ, doable but pollutes file system, wasting at least 50 MB which is sometimes quite precious (yeah, I own 500 GB HDD for few months only, so I know what I'm talking about, but don't want to discuss it further ;-)) so I would suggest installing it to some directory in ~/ and then delete build directory (preferably 2.3.9 version should land in local directory since it won't receive any official updates).
Nadszedł już czas, najwyższy czas, nienawiść zniszczyć w sobie.
The time has come, the high time, to destroy hatred in oneself.


Beware! Mad Qt Evangelist.
User avatar
Emdek
Regular
Regular
 
Posts: 1329
Joined: 24 Jan 2010, 13:14
Location: Poland

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby [dark]_Continue » 26 May 2012, 19:26

so what to do? Start campaign in 2.3.9 or i should wait for stable wersion 3.1 ? i'm asking cause i didn't started campaign yet, playin' MP only.
User avatar
[dark]_Continue
Greenhorn
 
Posts: 10
Joined: 02 Nov 2011, 10:49

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby Emdek » 27 May 2012, 21:01

[dark]_Continue, start with 3.1 (since it works better than 2.3.9 for campaign), in worst case you will need to stick with specific version with which you will start, however risk of breaking compatibility due to bugfixes should low.
Nadszedł już czas, najwyższy czas, nienawiść zniszczyć w sobie.
The time has come, the high time, to destroy hatred in oneself.


Beware! Mad Qt Evangelist.
User avatar
Emdek
Regular
Regular
 
Posts: 1329
Joined: 24 Jan 2010, 13:14
Location: Poland

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby Campos Zidov » 11 Aug 2012, 17:50

Good morning team, first want to congratulate you all for your commitment and quality of the game, and I really enjoyed playing it more.
I played version 2.9 and worked perfectly, even destroy all the structures of Nexus, and pick up the artifacts chassis revenge, arcangel missiles, cannon Gaus (Gama in the campaign), but the game has not finalized the chapter, did not perform the boot "mission completed, "so I could not finish this exciting game.
I decided to install version 3.1, I really liked the changes, but often occur, two errors, Windows says that the the game stopped working and will close the program, and the game is crashed (I have some files from the crash), this way, I can not keep playing the latest version.
I really need help, I really want to finish the campaign in this great game.
Thank you for your attention!
Campos Zidov
New user
 
Posts: 3
Joined: 11 Aug 2012, 17:05

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby Giani » 12 Aug 2012, 17:21

Campos Zidov wrote:Good morning team, first want to congratulate you all for your commitment and quality of the game, and I really enjoyed playing it more.
I played version 2.9 and worked perfectly, even destroy all the structures of Nexus, and pick up the artifacts chassis revenge, arcangel missiles, cannon Gaus (Gama in the campaign), but the game has not finalized the chapter, did not perform the boot "mission completed, "so I could not finish this exciting game.
I decided to install version 3.1, I really liked the changes, but often occur, two errors, Windows says that the the game stopped working and will close the program, and the game is crashed (I have some files from the crash), this way, I can not keep playing the latest version.
I really need help, I really want to finish the campaign in this great game.
Thank you for your attention!

For any bug, make a ticket: http://developer.wz2100.net/newticket
My maps: http://forums.wz2100.net/viewtopic.php?f=10&t=9501
User avatar
Giani
Regular
Regular
 
Posts: 804
Joined: 23 Aug 2011, 22:42
Location: Argentina

Re: Can I use 2.3.9 saves in the 3.1 Beta Series?

Postby Campos Zidov » 12 Aug 2012, 21:38

Thanks for information!
Campos Zidov
New user
 
Posts: 3
Joined: 11 Aug 2012, 17:05


Return to 2.3.x